libgeo-postcode-perl_0.17+dfsg1-1_all.deb


Advertisement

Description

libgeo-postcode-perl - UK Postcode validation and location

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libgeo-postcode-perl_0.17+dfsg1-1_all.deb
Package name libgeo-postcode-perl
Package version 0.17+dfsg1
Package release 1
Package architecture all
Package type deb
Category devel::lang:perl devel::library implemented-in::perl perl
Homepage http://search.cpan.org/dist/Geo-Postcode/
License -
Maintainer Dominic Hargreaves <dom@earth.li>
Download size 24.22 KB
Installed size 112.00 KB
Geo::Postcode will accept full or partial UK postcodes, validate them against
the official spec, separate them into their significant parts, translate them
into map references or co-ordinates and calculate distances between them.
The last two features require a postcode database to be supplied separately.
It does not check whether the supplied postcode exists: only whether it is
well-formed according to British Standard 7666, which you can find here:
http://www.govtalk.gov.uk/gdsc/html/frames/PostCode.htm
Geo::Postcode will also work with partial codes, ie areas, districts and
sectors. They won't validate, but you can test them for legitimacy with a
call to valid_fragment, and you can still turn them into grid references.
To work with US zipcodes, you need Geo::Postalcode instead.

Alternatives

Package Version Architecture Repository
libgeo-postcode-perl_0.17+dfsg1-1_all.deb 0.17+dfsg1 all Debian Main
libgeo-postcode-perl - - -

Requires

Name Value
libdbi-perl -
perl -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libgeo-postcode-perl_0.17+dfsg1-1_all.deb
Source Package libgeo-postcode-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgeo-postcode-perl deb package:
    # sudo apt-get install libgeo-postcode-perl

Files

Path
/usr/share/doc/libgeo-postcode-perl/README
/usr/share/doc/libgeo-postcode-perl/README.Debian
/usr/share/doc/libgeo-postcode-perl/changelog.Debian.gz
/usr/share/doc/libgeo-postcode-perl/changelog.gz
/usr/share/doc/libgeo-postcode-perl/copyright
/usr/share/man/man3/Geo::Postcode.3pm.gz
/usr/share/man/man3/Geo::Postcode::Location.3pm.gz
/usr/share/perl5/Geo/Postcode.pm
/usr/share/perl5/Geo/Postcode/Location.pm

Changelog

2011-02-05 - Dominic Hargreaves <dom@earth.li>
libgeo-postcode-perl (0.17+dfsg1-1) unstable; urgency=low
* New upstream release
* Update Standards-Version (no changes)
* Switch to minimal dh7 rules file
* Update to debhelper compatibility level 7
* Update source format version to 3.0 (quilt)
* Update README.Debian with a better URL for information about free
postcodes
* debian/watch: mangle Debian version to strip of dfsg portion
2008-02-28 - Dominic Hargreaves <dom@earth.li>
libgeo-postcode-perl (0.15.dfsg.1-4) unstable; urgency=low
* Fix debian/rules rmdir bug (closes: #468028)
* Update Standards-Version (no changes)
* Add debian/watch
* debian/control: add Homepage field
2006-10-28 - Dominic Hargreaves <dom@earth.li>
libgeo-postcode-perl (0.15.dfsg.1-3) unstable; urgency=medium
* Fix FTBFS (build-dep on libdbi-perl, closes: #395859)
* Also Depends on libdbi-perl; even though not all functionality
requires it.
2006-10-12 - Dominic Hargreaves <dom@earth.li>
libgeo-postcode-perl (0.15.dfsg.1-2) unstable; urgency=low
* Correct copyright file to include reference to upstream location.
2006-10-11 - Dominic Hargreaves <dom@earth.li>
libgeo-postcode-perl (0.15.dfsg.1-1) unstable; urgency=low
* Remove dubious postcode data
* Upload targetted at Debian (closes: #368452)
* Fix broken Build-Depends-Indep on perl
2006-10-10 - Dominic Hargreaves <dom@earth.li>
libgeo-postcode-perl (0.15-1) unstable; urgency=low
* Initial Release.

See Also

Package Description
libgeo-proj4-perl_1.09-2+b1_i386.deb PROJ library for cartographic projections
libgeo-shapelib-perl_0.22-3+b1_i386.deb Perl extension for reading and writing shapefiles as defined by ESRI
libgeoclue-2-0_2.5.2-1_i386.deb convenience library to interact with geoinformation service
libgeoclue-2-dev_2.5.2-1_i386.deb convenience library to interact with geoinformation service (devel files)
libgeoclue-doc_2.5.2-1_all.deb convenience library to interact with geoinformation service (API documentation)
libgeocode-glib-dev_3.26.1-1_i386.deb development files for geocode-glib library
libgeocode-glib-doc_3.26.1-1_all.deb gtk-doc documentation for geocode-glib library
libgeocode-glib0_3.26.1-1_i386.deb geocoding and reverse geocoding GLib library using Nominatim
libgeocoding7_7.1.0-5+b4_i386.deb geocoding phone numbers
libgeographic-dev_1.49-4_i386.deb C++ library to solve some geodesic problems -- development files
libgeographic17_1.49-4_i386.deb C++ library to solve some geodesic problems -- library
libgeography-countries-perl_2009041301-2_all.deb 2-letter, 3-letter, and numerical codes for countries
libgeoip-dev_1.6.12-1_i386.deb Development files for the GeoIP library
libgeoip1_1.6.12-1_i386.deb non-DNS IP-to-country resolver library
libgeoip2-perl_2.006001-2_all.deb Perl API for MaxMind's GeoIP2 web services and databases
Advertisement
Advertisement